Subject: bug#17532: 24.4.50; Options > `set-frame-font' does not work as documented

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 May 2014 19:44:00 +0300

> Date: Mon, 19 May 2014 13:34:52 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> emacs -Q
> 
> M-: (setq default-frame-alist '
>  ((font . "-outline-Lucida
>  Console-normal-normal-normal-mono-3-*-*-*-c-*-iso8859-1")))
> 
> or some other font that is different from the default emacs -Q font.
> 
> Choose menu item Options > Set Default Font..., and choose yet another
> font.
> 
> C-x 4 d RET ; or another command to display another buffer
> 
> The newly displayed buffer's font is not the font you chose using Set
> Default Font.

I cannot reproduce this with today's trunk: I get the same font as the
one I've chosen from the menu using Set Default Font.

> In any case, the doc for `set-frame-font' and the description of `Set
> Default Font' tell users that the font specified will be used not only
> for all current frames but also for future frames, and that it will act
> as the default font from now on.

I don't see this in the doc string, please show the relevant text.  My
interpretation of the doc string is that when that function is called
interactively, it always sets font only of the currently selected
frame.  To do that for other frames, you need to call the function
non-interactively to be able to pass it a non-nil last arg.

> Note that the doc here includes (emacs) `Fonts'.

That doesn't seem to imply the font is changed on all frames, either.